# $Revision: 1.34 $, $Date: 2012/01/11 22:11:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Find-Rule
Summary:	File::Find::Rule - alternative interface to File::Find
Summary(pl.UTF-8):	File::Find::Rule - alternatywny interfejs dla modułu File::Find
Name:		perl-File-Find-Rule
Version:	0.33
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/RCLAMP/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	92c6cb88549c30f5665e39bf80f3d704
URL:		http://search.cpan.org/dist/File-Find-Rule/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Number-Compare
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Text-Glob >= 0.07
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Find::Rule Perl module is a friendlier interface to File::Find.
It allows you to build rules which specify the desired files and
directories.

%description -l pl.UTF-8
Moduł Perla File::Find::Rule stanowi bardziej przyjazny interfejs do
modułu File::Find. Umożliwia on tworzenie reguł określających wymagane
pliki i katalogi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod documentation
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/File/Find/Rule/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/findrule
%dir %{perl_vendorlib}/File/Find
%{perl_vendorlib}/File/Find/Rule.pm
%{_mandir}/man1/findrule.1p*
%{_mandir}/man3/File::Find::Rule*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Find-Rule.spec,v $
Revision 1.34  2012/01/11 22:11:52  zbyniu
- up to 0.33

Revision 1.33  2011/03/04 15:16:46  qboosh
- updated to 0.32

Revision 1.32  2008/07/27 22:34:17  arekm
- release 2

Revision 1.31  2008-03-24 02:19:32  qboosh
- generic URL

Revision 1.30  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.28  2006/06/26 11:45:29  maciek2w
- updated to 0.30

Revision 1.27  2004/11/03 22:30:21  paladine
- formatting

Revision 1.26  2004/11/02 10:14:26  adamg
- get rid of pod documentation
- release 3

Revision 1.25  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/05/23 23:32:46  adamg
- updated to 0.28

Revision 1.23  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.22  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.20  2004/02/26 19:50:30  qboosh
- updated to 0.27
- pass perl= to Build, so script will use it instead of version-dependent path

Revision 1.19  2003/11/16 12:54:11  migo
- up to 0.26

Revision 1.18  2003/11/09 18:43:16  migo
- up to 0.25, added "findrule" program

Revision 1.17  2003/10/07 20:37:22  migo
- up to 0.24
- new bcond style
- switch to Module::Build, cleanup

Revision 1.16  2003/09/18 13:19:20  adamg
- updated to 0.21

Revision 1.15  2003/09/15 11:41:55  adamg
- updated to 0.20

Revision 1.14  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/13 00:02:33  ankry
- merge from RA-branch: updated to 0.10

Revision 1.8  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:38:35  radek
- use the __perl macro

Revision 1.6  2003/02/20 23:47:38  ankry
- updated to 0.09

Revision 1.5  2003/02/18 15:32:12  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/10/13 19:05:29  kloczek
- release 3.

Revision 1.3  2002/10/06 19:02:11  ankry
- uncomment BRs

Revision 1.2  2002/10/06 09:15:09  ankry
- tests enabled, rel. 2

Revision 1.1  2002/10/06 00:41:59  ankry
- new, STBR
